# makes an orderd color vector with color keys (taxon to color)
#
# Author: youssefd
###############################################################################
 
make.colors <- function(x) {
	values.levels <- levels(factor(x))
	values.colors <- as.data.frame(rainbow(length(values.levels)), stringsAsFactors = FALSE)
	row.names(values.colors) <- values.levels
	colnames(values.colors) <- c("color")
	list(color.keys = values.colors, colors = values.colors[x,])
}
