# x: a 3-column data matrix
# main: Main title
# colors: a vector of colors to match each row
# color.keys: color keys for the legend
# row.names.color.keys: names for color keys
# output: path to output
# output.device: the device to use lieke png, pdf ...
# Author: youssefd
###############################################################################

make.groupless.triplot <- function(x, main, output, output.device, ...){

	# put in a try catch
	tryCatch({
				output.device(filename = output, ...)
				triangle.plot(x, colors=NULL, main)
			},
			error = function (e) {
				stop(e)
			},
			finally = dev.off()
	);
}
